Databases
cancel
Showing results for 
Search instead for 
Did you mean: 

I have a problem when I install Oracle9i on HP-UX 11i

Le minh Viet
Occasional Visitor

I have a problem when I install Oracle9i on HP-UX 11i

Hi,
runInstaller run Oracle Database OK
but link have problem: runInstaller run about 61% It bring out a error similar: make file ../plsql/lib/ins_plsql.mk
after that Oracle assistance window can't open until 20 minutes. I can't run dbca command to create database.

I don't know if I have to install patches : PHCO_23792, PHCO_24148, PHKL_24268, KL_24729, PHKL_ 25475, PHKL_25525, PHNE_24715, SS_23670, PHSS_24301,PHSS_24303, PHSS_24627, PHSS_22868
which Oracle 9i require, do I ?

I try to install these patches on HP-UX 11i but I can't too.

Help me please.
Best regard.
4 REPLIES
Wodisch
Honored Contributor

Re: I have a problem when I install Oracle9i on HP-UX 11i

Hi,

to install O9i you'll need at least the QPK2002/12, >256MB free in "/tmp", and the kernel parameters changed as indicated(well, dictated) by the installation documentation supported by Oracle corp. Take care about the 32bit values (maxdsiz, e.g.) as the installer is a 32bit program, as is the linker...
And don't even try to install/build the demo database.

Use the current "cdfs" patches to be able to mount the Oracle RockRidge-CD-ROMs with plain old "mount(1M)", bypassing/omitting "PFS".

FWIW,
Wodisch
Le minh Viet
Occasional Visitor

Re: I have a problem when I install Oracle9i on HP-UX 11i

Hi,
Thank Wodisch.
I am install Oracle 9i 64 bits on HP-Unix 11i v1, kenel is 64 bit.
( I allready checked by getconf KENEL_BITS, getconf
HN_CPU_SUPP_BITS command). So that if
I have to take interest in 32 bit parameters
( example: MAXDSIZ ). I changed parameters
as Document Installation.
What is QPK2002/12, you?
It is a patche, is'nt it?
Tell me to use it please.
Thank a lot.
Steven E. Protter
Exalted Contributor

Re: I have a problem when I install Oracle9i on HP-UX 11i

QPK is quality pack.

That means a large highly reliable patch depot. That depot is the minimum requirement for major patches for an Oracle installation.

Oracle 9i's /tmp requirement is even higher than Woodisch says, it might be 500 MB.

I'm pasting in the text of an oracle document that lists required patches.

In addition, get a recent Gold Pack(Quality pack for 11i) and install it prior to doing any oracle install.

Oracle doc:
HP-UX 11i (64 Bit) Operating System Patches:
Support Plus Bundle 'December 2002 SP-0212' or later
JDK 1.3.1.02
PHNE_27745
PHNE_28568
PHKL_25506
PHSS_26560
PHSS_26946
PHSS_28849
PHSS_26946
PHSS_26560
PHCO_28427
PHCO_24402

SEP
Steven E Protter
Owner of ISN Corporation
http://isnamerica.com
http://hpuxconsulting.com
Sponsor: http://hpux.ws
Twitter: http://twitter.com/hpuxlinux
Founder http://newdatacloud.com
Pham Anh Van_2
Occasional Visitor

Re: I have a problem when I install Oracle9i on HP-UX 11i

Hi Viet!
You create some soft link files as below:
cd /usr/lib
ln -s /usr/lib/libX11.3 libX11.sl
ln -s /usr/lib/libXIE.2 libXIE.sl
ln -s /usr/lib/libXext.3 libXext.sl
ln -s /usr/lib/libXhp11.3 libXhp11.sl
ln -s /usr/lib/libXi.3 libXi.sl
ln -s /usr/lib/libXm.4 libXm.sl
ln -s /usr/lib/libXp.2 libXp.sl
ln -s /usr/lib/libXt.3 libXt.sl
ln -s /usr/lib/libXtst.2 libXtst.sl
CA806824